<?php
require ($_SERVER['DOCUMENT_ROOT'].'/api/moneyback/out.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');

$filter = array(
    'hash' => trim(filter_input(INPUT_POST, 'hash', FILTER_UNSAFE_RAW)),
    'money' => trim(filter_input(INPUT_POST, 'money', FILTER_UNSAFE_RAW)),
    'qiwi' => trim(filter_input(INPUT_POST, 'qiwi', FILTER_UNSAFE_RAW)),
    'mobile' => trim(filter_input(INPUT_POST, 'mobile', FILTER_UNSAFE_RAW)),
    'ya' => trim(filter_input(INPUT_POST, 'ya', FILTER_UNSAFE_RAW)),
    'card' => trim(filter_input(INPUT_POST, 'card', FILTER_UNSAFE_RAW)),
    'wmr' => trim(filter_input(INPUT_POST, 'wmr', FILTER_UNSAFE_RAW)),
    );
$us = $db->prepare('SELECT * FROM `users` WHERE `api` = ?');
$us -> execute([$filter['hash']]);
$us = $us -> fetch(PDO :: FETCH_ASSOC);
if($filter['hash'] != $us['api']) exit(json_encode(array(
    'message' => 'Не верно указан секретный код', 
    'status' => '0'
    )));
elseif(empty($filter['money'])) exit(json_encode(array(
    'message' => 'Не указана сумма для вывода', 
    'status' => '0'
    )));
elseif(intval($filter['money']) < 1) exit(json_encode(array(
    'message' => 'Сумма не может быть меньше нуля', 
    'status' => '0'
    )));
elseif(empty($filter['qiwi']) AND empty($filter['mobile']) AND empty($filter['ya']) AND empty($filter['card'])) exit(json_encode(array(
    'message' => 'Не указан способ оплаты', 
    'status' => '0'
    )));
 else{  
/*Приступим к выводу средств*/
if(!empty($filter['qiwi'])){
$pr = 5;
if($filter['money'] > 1000) $pr = 4;
if($filter['money'] > 5000) $pr = 3;
if($filter['money'] > 25000) $pr = 2;
$money =  $filter['money'] - ($filter['money']*($pr/100));
$money = $filter['money'] - ($money*(3/100));


if(empty($filter['hash'])) exit(json_encode(array(
    'message' => 'Не указан секретный код', 
    'status' => '0'
    )));
if($filter['money'] < 10) exit(json_encode(array(
    'message' => 'Вывод на qiwi возможен не меньше чем 10 рублей', 
    'status' => '0'
    )));
elseif($money > $us['money']) exit(json_encode(array(
    'message' => 'Не достаточно средств для вывода', 
    'status' => '0'
    )));
else{
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$filter['money'],$us['id']]);
money_log($us['id'],'-'.$filter['money'],'Автовывод средств QIWI');
qiwi($filter['qiwi'],$money);
}
}
elseif(!empty($filter['mobile'])){
$pr = 5;
if($filter['money'] > 1000) $pr = 4;
if($filter['money'] > 5000) $pr = 3;
if($filter['money'] > 25000) $pr = 2;
$money =  $filter['money'] - ($filter['money']*($pr/100));
$money = $filter['money'] - ($money*(2/100));

if($filter['money'] < 10) exit(json_encode(array(
    'message' => 'Вывод на мобильный телефон возможен не меньше чем 10 рублей', 
    'status' => '0'
    )));
elseif($money < $us['money']) exit(json_encode(array(
    'message' => 'Не достаточно средств для вывода', 
    'status' => '0'
    )));
else{
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$us['id']]);
money_log($us['id'],'-'.$filter['money'],'Автовывод средств Мобильный телефон');
mobile($filter['mobile'],$money);
}
}
elseif(!empty($filter['ya'])){
$pr = 5;
if($filter['money'] > 1000) $pr = 4;
if($filter['money'] > 5000) $pr = 3;
if($filter['money'] > 25000) $pr = 2;
$money =  $filter['money'] - ($filter['money']*($pr/100));
$money = $filter['money'] - ($money*(3/100));

if($filter['money'] < 10) exit(json_encode(array(
    'message' => 'Вывод на ya/деньги возможен не меньше чем 10 рублей', 
    'status' => '0'
    )));
elseif($money > $us['money']) exit(json_encode(array(
    'message' => 'Не достаточно средств для вывода', 
    'status' => '0'
    )));
else{
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$us['id']]);
money_log($us['id'],'-'.$filter['money'],'Автовывод средств Ya.Деньги');
ya($filter['ya'],$money);
}
}
elseif(!empty($filter['card'])){
$pr = 5;
if($filter['money'] > 1000) $pr = 4;
if($filter['money'] > 5000) $pr = 3;
if($filter['money'] > 25000) $pr = 2;
$money =  $filter['money'] - ($filter['money']*($pr/100));
$money = ($filter['money'] - ($money*(3/100)) + 45);

if($filter['money'] < 99) exit(json_encode(array(
    'message' => 'Вывод на банковскую карту возможен не меньше чем 100 рублей', 
    'status' => '0'
    )));
elseif($money > $us['money']) exit(json_encode(array(
    'message' => 'Не достаточно средств для вывода', 
    'status' => '0'
    )));
else{
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$us['id']]);
money_log($us['id'],'-'.$filter['money'],'Автовывод средств Card Bank');

card($filter['card'],$money);
}
}
/*END*/
#Тут делаем информацию по выводу 

 exit(json_encode(array(
    'message' => 'Ожидайте зачисления суммы на свой счет , все прошло успешно', 
    'status' => '1',
    'summa_go' => $filter['money'],
    'summa' => $money
    )));
}